image: "python:3.7"

before_script:
  - apt update -qq
  - apt-get -qq install -y libgirepository1.0-dev
  - pip install -r requirements.txt

stages:
  - Static Analysis
  - Test
  - Build

lint:
  stage: Static Analysis
  script:
  - pip install pylint
  - pylint -d C0301 chirp

test:
  stage: Test
  script:
  - pip install -r requirements.txt
  - tox

build:
  stage: Build
  script:
  - python setup.py build
